#
# spec file for package python-zhon
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-zhon
Version:        2.0.2
Release:        1.4
Summary:        Constants used in Chinese text processing
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tsroten/zhon
Source:         https://github.com/tsroten/zhon/archive/v%{version}.tar.gz#/zhon-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Zhon provides constants used in Chinese text processing.

%prep
%setup -q -n zhon-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGES.rst README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Oct  5 2023 Dirk Müller <dmueller@suse.com>
- update to 2.0.2:
  * Fix broken documentation link at at pypi
  * Restructure documentation into multiple pages
  * Reverse sort changelog
  * Removes Python 2.7 support
  * Bumps minimum support Python to Python 3.7
  * Switches to hatch for project management
  * Fixes an invalid backslash escape sequence (#34)
  * Automatically imports subpackages when importing zhon (#31)
  * Updates documentation about combining diacritic marks (#29)
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Wed Jan 13 2021 pgajdos@suse.com
- use %%pytest macro
* Thu Aug 29 2019 Jan Engelhardt <jengelh@inai.de>
- Trim name repetition from summary.
* Tue Aug 27 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.1.5
